Description

There is a mistranslation for these labels in redmine:

field_due_date: Дата завершения

In russian it has the meaning of actual date of completeness, when all is done. Due date is like a deadline, so it should be

translated as "Срок завершения"

label_relation_new: Новое отношение

In russian it has the meaning of new relationship with somebody, or new point of view about something. So it should be

translated as "Новая связь" to be consistent with label_relation_delete: "Удалить связь"

I've prepared a new ru.yml file based on current trunk (r16420) (unfortunately i'm not familiar with patches) - please find it in the

attachments.

This file also contains ru translation for new labels which were not translated yet except one:

"error_cannot_reassign_time_entries_to_an_issue_about_to_be_deleted":

If one tell me when redmine shows this label i'll find an accurate translation for this.

It would be great to add this feature to 3.4.0

Related issues:

Related to Redmine - Patch #25397: Russian translation update (r16388) Closed

Related to Redmine - Patch #25349: Russian translation (r16388) Closed

Associated revisions

Revision 16465 - 2017-04-03 15:32 - Jean-Philippe Lang

Change Russian translation for field_due_date and label_relation_new (#25392).

Patch by Ilya Potapov.

History

#1 - 2017-03-22 06:40 - Go MAEDA

- File 25392-change-ru-translation.diff added

- Tracker changed from Feature to Patch

- Subject changed from Change ru translation for "due date" and "new_relation" plus some new translations to Change Russian translation for

field_due_date and label_relation_new

- Category changed from I18n to Translations

I have made a patch file to change existing translations from Ilya Potapov's work. And I have submitted another patch as #25397, which introduces

new Russian translation.

#2 - 2017-03-22 06:48 - Go MAEDA

- Target version set to Candidate for next major release

Could someone who speaks Russian check these changes?

Index: config/locales/ru.yml

===================================================================

--- config/locales/ru.yml       (revision 16425)

+++ config/locales/ru.yml       (working copy)

2025-05-02 1/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/16420
https://www.redmine.org/versions/119
https://www.redmine.org/issues/25397


@@ -324,7 +324,7 @@

   field_description: Описание

   field_done_ratio: Готовность

   field_downloads: Загрузки

-  field_due_date: Дата завершения

+  field_due_date: Срок завершения

   field_editable: Редактируемое

   field_effective_date: Дата

   field_estimated_hours: Оценка трудозатрат

@@ -632,7 +632,7 @@

   label_related_issues: Связанные задачи

   label_relates_to: связана с

   label_relation_delete: Удалить связь

-  label_relation_new: Новое отношение

+  label_relation_new: Новая связь

   label_renamed: переименовано

   label_reply_plural: Ответы

   label_report: Отчёт

#3 - 2017-03-22 19:12 - Dmitry Salashnik

Go MAEDA wrote:

Could someone who speaks Russian check these changes?

 Yes. All correct ;-)

#4 - 2017-03-23 01:02 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

Setting target version to 3.4.0.

Dmitry Salashnik,Thanks for reviewing.

#5 - 2017-03-23 03:59 - Go MAEDA

- Related to Patch #25397: Russian translation update (r16388) added

#6 - 2017-03-23 04:00 - Go MAEDA

I opened #25397 for newly translated strings.

Ilya Potapov, thank you for your work.

#7 - 2017-04-03 15:33 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#8 - 2017-04-03 18:08 - Toshi MARUYAMA

- Related to Patch #25349: Russian translation (r16388) added

Files

ru.yml 82.1 KB 2017-03-21 Ilya Potapov

25392-change-ru-translation.diff 934 Bytes 2017-03-22 Go MAEDA
